Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.impl
Class PrefixBasedActionProxyFactory

    java.lang.Object
      com.opensymphony.xwork2.DefaultActionProxyFactory
          org.apache.struts2.impl.PrefixBasedActionProxyFactory

All Implemented Interfaces:
  ActionProxyFactory

    public class PrefixBasedActionProxyFactory

extends DefaultActionProxyFactory

Prefix based factory should be used with `PrefixBasedActionMapper` to use appropriate `ActionProxyFactory` connected with given `ActionMapper` Add below entry to struts.xml to enable the factory:

     <constant name="struts.actionProxyFactory" value="prefix"/>

The factory will use the same set of patterns as defined with:

     <constant name="struts.mapper.prefixMapping" value="..."/>

Field Summary

Fields inherited from class com.opensymphony.xwork2.DefaultActionProxyFactory
`container`

Constructor Summary
`PrefixBasedActionProxyFactory()`

Method Summary
`ActionProxy` | `createActionProxy(String namespace, String actionName, String methodName, Map<String,Object> extraContext, boolean executeResult, boolean cleanupContext)`
`void` | `setActionProxyFactory(ActionProxyFactory factory)`
`void` | `setContainer(Container container)`
`void` | `setPrefixBasedActionProxyFactories(String list)`

Methods inherited from class com.opensymphony.xwork2.DefaultActionProxyFactory
`createActionInvocation, createActionProxy, createActionProxy, createActionProxy, createActionProxy, createActionProxy, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PrefixBasedActionProxyFactory

    public PrefixBasedActionProxyFactory()

Method Detail

### setContainer

    public void setContainer(Container container)

  Overrides:
    `setContainer` in class `DefaultActionProxyFactory`

### setActionProxyFactory

    public void setActionProxyFactory(ActionProxyFactory factory)

### setPrefixBasedActionProxyFactories

    public void setPrefixBasedActionProxyFactories(String list)

### createActionProxy

    public ActionProxy createActionProxy(String namespace,
                                         String actionName,
                                         String methodName,
                                         Map<String,Object> extraContext,
                                         boolean executeResult,
                                         boolean cleanupContext)

  Specified by:
    `createActionProxy` in interface `ActionProxyFactory`
  Overrides:
    `createActionProxy` in class `DefaultActionProxyFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.